Send a multi-product message
POST
/v1/messages/multi-productAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonbodystringrequiredBody text
min length 1
catalog_idstringrequiredFacebook catalog ID
min length 1
channel_idstringrequiredChannel ID
min length 1
footerstringFooter text
headerstringHeader text
sectionsSendMultiProductSection[] | nullrequiredProduct sections
Show propertiesHide properties
Array of
SendMultiProductSectionproduct_itemsSendMultiProductSectionItem[] | nullrequiredProduct items
Show propertiesHide properties
Array of
SendMultiProductSectionItemproduct_retailer_idstringrequiredProduct retailer ID
min length 1
titlestringrequiredSection title
min length 1
tostringrequiredRecipient phone number
min length 1
Responses
201Created
message_idstringstatusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/messages/multi-product" \
-H "Content-Type: application/json" \
-d '{
"body": "string",
"catalog_id": "string",
"channel_id": "string",
"footer": "string",
"header": "string",
"sections": [
{
"product_items": [
{
"product_retailer_id": "string"
}
],
"title": "string"
}
],
"to": "string"
}'const response = await fetch("/v1/messages/multi-product", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"body": "string",
"catalog_id": "string",
"channel_id": "string",
"footer": "string",
"header": "string",
"sections": [
{
"product_items": [
{
"product_retailer_id": "string"
}
],
"title": "string"
}
],
"to": "string"
})
});import requests
response = requests.post(
"/v1/messages/multi-product",
headers={
"Content-Type": "application/json"
},
json={
"body": "string",
"catalog_id": "string",
"channel_id": "string",
"footer": "string",
"header": "string",
"sections": [
{
"product_items": [
{
"product_retailer_id": "string"
}
],
"title": "string"
}
],
"to": "string"
},
)Response
{
"message_id": "string",
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}